185 comments

JeremyT PURCHASED
Hi there,

I notice the angular-cli is different version in the package file for seed and full, is that matter?
JeremyT PURCHASED
I also getting this error when try to install the angular full version.

npm ERR! ng2-search-filter@0.3.1 postinstall: `typings install`
npm ERR! Exit status 1
Try running this command: npm install typings -g
I'm on the seed angular project and when i run ng serve i have this errors:

ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (30,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdRippleModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (12,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdAutocompleteModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (14,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdButtonToggleModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (15,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdCardModule'.

ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (16,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdCheckboxModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (17,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdChipsModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (18,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdDatepickerModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (19,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdDialogModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (20,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdExpansionModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (21,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdGridListModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (22,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdIconModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (23,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdInputModule'.
ERROR in /Users/kamei/Sites/templates/MaterialLab-v2.1/angular4-seed/src/app/shared/shared.module.ts (24,2): Module '"/Users/kamei/Sites/templates/MaterialLab-v2.
1/angular4-seed/node_modules/@angular/material/material"' has no exported member 'MdListModule'.

could you help?

Thanks
Hi,

Sure I can help here. Next time if you need to send log files like this please email them to me support@authenticgoods.co that way it doesn’t fill up our comment threads. Would be nice if they had a file attachment or something. Anyways it looks like you have installed the newest Material Beta version which is version 2.0.0-beta.12 and this MaterialLab theme should have version 2.0.0-beta.11 they have made back to back breaking changes from .10 - .12 I fixed all of the breaking changes for .11

Before we go in can you confirm which version you have installed on your package.json file please?
For your reference in order to fix version .12 I’ll need to change all of the import prefixes. Their changelog file can be found here https://github.com/angular/material2/blob/master/CHANGELOG.md
JeremyT PURCHASED
Just FYI. the material version 2.0.0-beta.12 is breaking your 2.1 very badly.

They finally roll in the change about remove "md" prefix, if I changed all to "mat" , thing will work again.
Thanks for the heads up, I'll get a fix out asap.
How to remove the hash from url?
Hi,

Remove this { provide: LocationStrategy, useClass: HashLocationStrategy } from the app.module.ts
and that will remove the #
anoopvj PURCHASED
hey is there how to set up the environment document which im missing?
Hi,

You will find the setup documentation in the root folder labeled ‘documentation’.
anoopvj PURCHASED
well i dont find it informative. i have sent you an email with my screen shot
That's just the welcome screen, you need to click on the tabs to see the other pages with instructions.
Hi,
Great job congratulations! I am using jquery version and have one question are you planning to release vuejs version?
Hi,
Thank you very much! Yes, however it will be a few weeks out before we can release it. Currently working on updating the jQuery package from Bootstrap 3 to Bootstrap 4.
The back arrow key does not work in form text input fields. What is the reason for that?
Hi,

I'm not seeing this issue, what browser / browser version and os are you running?
Same problem in IE, Chrome and Firefox. But only in the Bootstrap3 version (http://materiallab.authenticgoods.co/form-elements.html). The Angular/Bootstrap4 version works.
@authenticgoodsco: Do you see the issue now?
No, are you seeing this in the online demo?
Yes, in all text input fields here: http://materiallab.authenticgoods.co/form-elements.html
After digging a little deeper it seems to be an issue with the Pikaday calendar plugin. For some reason that plugin is applying keycode bindings globally. You can see this in 'app/bower_components/pikaday/pikaday.js' line 520. If remove that plugin that will fix that issue. I'll work on seeing if there's a work around or I may replace the calendar.
How do I re-generate the vendor.js-file? Running the 'webpack' command in the app folder, only generates the app.js-file. Running the 'gulp vendor' command, does nothing.
Hi,
You can re-generate that file by running the command 'gulp'
Hi, thank you. I had to run 'bower install' first to get the bower_components downloaded locally. Now it works.
Hello,
Wonder if more detailed tutorials about css/scss are available or not, because the existing tutorial is very general and high level.
And how about Angular without Jquery?

Thanks
JeremyT PURCHASED
Hi there, do you have a working example for breadcrumb and look and feel of the <a>?
I'm newbie with AngularJS, sorry if I ask something dumb.
Using Angular version, If I change scss files, nothing happen. I cannot find gulp or webpack configuration files. I think that maybe i need to change something on them or execute some command related to these tools.
Do I need to do something to reload changes ?

Thanks !!
Hello,

Just purchased the materiallab there for angular 4+.
Tried doing an npm install. I get the following errors. What do I need to do to get this to work cleanly? Also is the theme compatible with Angular 5 please?

Thanks

Errors on npm start:
ERROR in /Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/src/app/pages/chat/chat.module.ts (6,37): Cannot find module 'ng2-search-filter'.
ERROR in /Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/src/app/pages/contacts/contacts.module.ts (10,37): Cannot find module 'ng2-search-filter'.
ERROR in /Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/src/app/pages/mail/mail.module.ts (6,37): Cannot find module 'ng2-search-filter'.
ERROR in Error: Error encountered resolving symbol values statically. Could not resolve ng2-search-filter relative to /Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/src/app/pages/contacts/contacts.module.ts., resolving symbol ContactsModule in /Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/src/app/pages/contacts/contacts.module.ts, resolving symbol ContactsModule in /Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/src/app/pages/contacts/contacts.module.ts
at Error (native)
at syntaxError (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler/bundles/compiler.umd.js:1729:34)
at simplifyInContext (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler/bundles/compiler.umd.js:25118:23)
at StaticReflector.simplify (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler/bundles/compiler.umd.js:25130:13)
at StaticReflector.annotations (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler/bundles/compiler.umd.js:24558:41)
at _getNgModuleMetadata (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler-cli/src/ngtools_impl.js:138:31)
at _extractLazyRoutesFromStaticModule (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler-cli/src/ngtools_impl.js:109:26)
at includeLazyRouteAndSubRoutes (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler-cli/src/ngtools_impl.js:66:25)
at Array.reduce (native)
at includeLazyRouteAndSubRoutes (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler-cli/src/ngtools_impl.js:67:26)
at Array.reduce (native)
at Object.listLazyRoutesOfModule (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler-cli/src/ngtools_impl.js:54:36)
at Function.NgTools_InternalApi_NG_2.listLazyRoutes (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@angular/compiler-cli/src/ngtools_api.js:91:39)
at AotPlugin._getLazyRoutesFromNgtools (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@ngtools/webpack/src/plugin.js:207:44)
at _donePromise.Promise.resolve.then.then.then.then.then (/Users/vtenneti/Documents/MaterialLab-v2.2/angular4-full/node_modules/@ngtools/webpack/src/plugin.js:443:24)
at process._tickCallback (internal/process/next_tick.js:103:7)

webpack: Failed to compile.
Hi,

Be sure your Node and NPM are updated to the latest version. Then run this command: npm install typings -g

If you're still experiencing issues afterwards, please contact us at support@authenticgoods.co and we'll research your issue further. An update to version 5 is in the works.
JeremyT PURCHASED
I notice your other theme option is not complete. For example, checkbox and badge primary doesn't change when you change the theme.
Hi,
I'll add that in the next release.

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$24
374Purchases

Licenses: Details »

Single application $24
Version:2.2
Type:
  • HTML Template
Bootstrap: Compatible with 4.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 10, 11
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
Uses Less:No
Uses Sass:Yes
Categories:
Tags: admin, angular 4, bootstrap 4, calendar, charts, chat, contacts, ecommerce, file manager, material design
Item#:WB0G60N92
Released:8 months ago
Updated:2 months ago
Sold exclusively on WrapBootstrap
authenticgoodsco

authenticgoodsco

Signed up 3 years ago

Need a front-end theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: